org.apache.ode.utils.xml.capture

## Class XmlDependencyScanner

- java.lang.Object
- - org.apache.ode.utils.xml.capture.XmlDependencyScanner

-     public class XmlDependencyScanner
      extends java.lang.Object

  XML Dependency Scanner, processes XML and follows "import"s, "include"s, and the like to discover the transitive closure of the dependencies. The scanner supports WSDL, XMLSchema, and BPEL import elements, and can be extended by implementing additional `Tracker` classes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlDependencyScanner()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.net.URI,java.lang.Exception>` | `getErrors()`
    `java.util.Set<java.net.URI>` | `getReferences(java.net.URI uri)` Get the references (imports, includes, etc) of a given resource.
    `java.util.Set<java.net.URI>` | `getReferers(java.net.URI uri)` Get all the URI's that refer to a URI.
    `org.xml.sax.EntityResolver` | `getResolver()`
    `java.util.Set<java.net.URI>` | `getURIs()`
    `boolean` | `isError()`
    `void` | `process(java.net.URI uri)` Process the URI: parse the document and follow any imports (recursively) to discover all imported resources.
    `void` | `setResolver(org.xml.sax.EntityResolver resolver)` Set the `EntityResolver` that should be used to obtain the byte streams for URIs.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlDependencyScanner

          public XmlDependencyScanner()

      Constructor.

  - ### Method Detail

    - #### setResolver

          public void setResolver(org.xml.sax.EntityResolver resolver)

      Set the `EntityResolver` that should be used to obtain the byte streams for URIs.
      Parameters:
        `resolver` - `EntityResolver` or null for the default (URL) resolver

    - #### getResolver

          public org.xml.sax.EntityResolver getResolver()

    - #### process

          public void process(java.net.URI uri)

      Process the URI: parse the document and follow any imports (recursively) to discover all imported resources.
      Parameters:
        `uri` -

    - #### getURIs

          public java.util.Set<java.net.URI> getURIs()

    - #### getReferences

          public java.util.Set<java.net.URI> getReferences(java.net.URI uri)

      Get the references (imports, includes, etc) of a given resource.
      Parameters:
        `uri` - URI of the resource
      Returns:
        `Set` of references

    - #### isError

          public boolean isError()

    - #### getReferers

          public java.util.Set<java.net.URI> getReferers(java.net.URI uri)

      Get all the URI's that refer to a URI.
      Parameters:
        `uri` - URI refered to
      Returns:
        `Set` of resources that refer to the resource

    - #### getErrors

          public java.util.Map<java.net.URI,java.lang.Exception> getErrors()